<?php
		session_start();
		ob_start();
		$father = $_SESSION["user_id"];
if(!isset($_SESSION["user_id"])){header("location:../logout.php");}
		include "../actions/dbPDO.php";
		include "../op/number_text.php";
if(isset($_REQUEST["dd"])){ $vat_id = $_REQUEST["dd"]; }
		$vat_sql = $db->prepare("SELECT * from vat where vat_id = ?");
		$vat_sql->bindParam(1,$vat_id);
		$vat_sql->execute();
if($vat_sql->rowCount()>0){$sam = $vat_sql->fetch(PDO::FETCH_ASSOC);
		$contract_id 		= $sam["contract_id"];
		$after_vat 			= $sam["after_vat"];
		$cont				= $sam["cont_status"] ;
		$vat_req            = $sam["vat_req"];
		$re_deduction  	= $sam["deduction"] ;
		$re_days_cost 	= $sam["days_cost"] ;
		$start   		= $sam["start"] ;
		$end   			= $sam["end"] ;
		$days_qty   	= $sam["days_qty"] ;
		$day_cost		= $sam["day_cost"];
		$re_kilos_cost 	= $sam["kilos_cost"];
		$re_kilo_qty	= $sam["kilo_qty"];
		$re_hours_cost 	= $sam["hours_cost"] ;
		$hour_qty		= $sam["hour_qty"] ;
		$re_addtion_cost  = $sam["addtion_cost"];
		$addtion_desc   = $sam["addtion_desc"];
		$re_violations 	= $sam["violations"] ;
		$re_net_cost   	= $sam["net_cost"] ;
}
	$sq = $db->prepare("SELECT contracts.date_out ,contracts.branch ,contracts.cont_status, contracts.date_in ,contracts.kilo_cost,contracts.hour_cost,
		 		contracts.cust_id2 ,contracts.cust_id , cars.kind ,
		         concat(cars.letters,' ',cars.numbers) as PL , cars.model , cars.color
			FROM contracts ,cars WHERE contracts.carid = cars.carid AND contract_id =? LIMIT 1") ;
		$sq->bindParam(1,$contract_id);
		$sq->execute();
	if($sq->rowCount()>0){$kok = $sq->fetch(PDO::FETCH_ASSOC);
		$kind = $kok["kind"]; $PL = $kok["PL"]; $cust_id = $kok["cust_id"];$cust_id2 = $kok["cust_id2"];
		$color = $kok["color"]; $model = $kok["model"] ; $date_out = $kok["date_out"] ;
		$date_in = $kok["date_in"] ;$branch = $kok["branch"] ;
		$kilo_cost			= $kok["kilo_cost"];
		$hour_cost			= $kok["hour_cost"];
		if(empty($date_in)){
			$date_in = date("Y-m-d");
						}
			}
		$cust = $db->prepare("SELECT cust_id , idSA , cust_name FROM `customers` WHERE cust_id = ? ");
		$cust->bindParam(1,$cust_id);
		$cust->execute();
		if($cust->rowCount()>0){$h1 = $cust->fetch(PDO::FETCH_ASSOC);
			$Name1 = $h1["cust_name"]; $ksa1 = $h1["idSA"];
		}
		if(!empty($cust_id2)){
			$cust2 = $db->prepare("SELECT cust_id , idSA , cust_name FROM `customers` WHERE cust_id = ? ");
			$cust2->bindParam(1,$cust_id2);
			$cust2->execute();
			if($cust2->rowCount()>0){$h2 = $cust2->fetch(PDO::FETCH_ASSOC);
				$Name2 = $h2["cust_name"]; $ksa2 = $h2["idSA"];
			}
		}
			$date_out = new DateTime($date_out);
			$date_out =  $date_out->format("d-m-Y");
			$date_in = new DateTime($date_in);
			$date_in =  $date_in->format("d-m-Y");
			$end = new DateTime($end);
			$end =  $end->format("d-m-Y");
		$output ="";
			?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
      	<title><?php echo $contract_id ; ?></title>
         <link rel="stylesheet" href="../dist/css/bootstrap.css"/>
      	 <link rel="stylesheet" href="../dist/css/day.css"media="print"/>
	 </head>
    <body onload="javascript: window.print(); setTimeout(window.close, 1000);" >
			<div class="container">
				<div class="row" style="padding:0 ;">
								<br style="line-height:145px;"/>
				</div>
				<div class="form-row">
					<div class="col-10">
			</div>
			<div class="col-2">

			</div>
		</div>
		<div class="row">
						<br style="line-height:23px;"/>
		</div>
		<div class="form-row">
			<div class="col-3">
				<p style="font-size:10pt;" > رقم الفاتورة  <?php echo $vat_id; ?></p>
			</div>
			<div class="col-6 text-center">
				<p style="font-weight:bold;font-size:12pt;" >فاتورة ضريبية</p>
			</div>
			<div class="col-3">
				<p style="font-size:9pt;float:left;" > تاريخ الاستحقاق<?php echo $end; ?></p>
			</div>

		</div>
		<div class="form-row">
						<br style="line-height:12px;"/>
		</div>
		<div class="form-row">
			<div class="col-1"></div>
			<div class="col-9">
					<p style="font-weight:bold;font-size:12pt;"> اسم العميل/ <?php
					$n=1;
if(!empty($Name2)){ if($ksa1 > 3000000000){echo $Name1;}else{
   if(($ksa1 < 3000000000)&&($ksa2 > 3000000000)){echo $Name2;$n = 2;}else{
	 if(($ksa1 < 2000000000)&&($ksa2 > 2000000000)){echo $Name1;}else{echo $Name2;$n = 2;}}}
}else{echo $Name1 ;}
					?></p>
			</div>
		<div class="col-2">
		<p style="font-weight:bold;font-size:12pt;" >المحترمين ,,,</p>
			</div>
		</div>
				<div class="form-row">
					<br style="line-height:15px;"/>
				</div>
				<div class="form-row">
					<p style="font-weight:bold;font-size:10pt;" > عقد إيجار <?php echo $contract_id." تاريخ فتح ".$date_out ; if(!empty($Name2)){
						if($n==1){echo " لخدمة السيد/ ".$Name2;}else{echo " لخدمة السيد/ ".$Name1;}
					} ?></p>
				</div>
			<div class="form-row">
			<div class="col-9">
			<p style="font-weight:bold;font-size:10pt;"> سيارة <?php
				$start = new DateTime($start);
				$start =  $start->format("d-m-Y");
				 echo $kind." رقم ".$PL." فترة إستحقاق من ".$start ." إلي ".$end ;
			?> </p>
				</div>
				<div class="col-3">
					<p style="font-size:8pt;float:left;" ><?php
					switch ( $cont) {
						case "1":		$contt =  "ساري";			break;
						case "2":		$contt = "مغلق";			break;
						case "3":		$contt = "مديون";			break;
												}
					echo " حالة العقد ".$contt ; ?></p>
				</div>
			</div>
		<table class="table table-bordered">
				<thead>
					<tr>
						<th style="font-weight:bold;font-size:11pt;" class="text-center" width="12%">المبلغ</th>
						<th style="font-weight:bold;font-size:11pt; "class="text-center" width="88%">البيان </th>
					</tr>
				</thead>
		<tbody id="tstandby">
<?php
	$output .= '<tr>
					<td style="font-weight:bold;font-size:11pt;">' . $re_days_cost . '</td>
					<td> قيمة إيجار عدد' .$days_qty . ' يوم بقيمة إيجار يومي  '.$day_cost.' ريال</td>
				</tr>
				<tr>
					<td style="font-weight:bold;font-size:11pt;">' . $re_kilos_cost. '</td>
					<td> وذلك قيمة عدد  ' .$sam["kilo_qty"] . ' كيلو متر زيادة بسعر الكيلو '.$kilo_cost.' هللة</td>
				</tr>
				<tr>
					<td style="font-weight:bold;font-size:11pt;">' . $re_hours_cost. '</td>
					<td>   قيمة ساعات إضافية لعدد ' .$hour_qty.' ساعة  </td>
			    </tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' . $re_addtion_cost. '</td><td>'.$addtion_desc.'</td></tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' .$re_violations. '</td><td>قيمة مخالفات</td></tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' .$re_deduction. '</td><td> الخصم </td></tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' .$re_net_cost. '</td><td> إجمالي تكلفة </td></tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' . $vat_req . '</td><td> ضريبة القيمة المضافة المستحقة </td></tr>
				<tr><td style="font-weight:bold;font-size:11pt;">' . $after_vat . '</td>';
		if($after_vat == 0){	$output .='<td> لا توجد مديونيات</td></tr>	';
			}else{ $output .='<td> المطلوب '.samTXT($after_vat).' </td></tr>'; } echo $output;
					?>
				</tbody>
				<tfoot></tfoot>
			</table>
				 <div class="row">
					 <br style="line-height:25px;"/>
				</div>
				<div class="form-row">
					<div class="col text-center">
					<p style="font-weight:bold;font-size:11pt;" >و تفضلوا بقبول وافر الإحترام و التقدير ,,,</p>
				</div>
				</div>
				<div class="row">
					<br style="line-height:18px;"/>
			 </div>
			 <div class="form-row">
				 <div class="col-9"></div>
				 <div class="col-3">
				 <p style="font-weight:bold;font-size:11pt;" >مدير الحسابات</p>
			 </div>
			 </div>
				</div><!-- main fluied container -->
				<script src="../js/jquery.js"></script>
				<script src="../dist/js/umd/popper.min.js"></script>
			 <script src="../dist/js/bootstrap.js"></script>
    </body>
</html>
